> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete External Account

> Deletes an external account and all associated documents, transactions, journal entries, and line entries.

If the external account is a business account, it will also delete the ledger.

**Scopes:** `transaction:delete`



## OpenAPI

````yaml /api-reference/openapi.json delete /v0/business/{business_id}/external-account/{external_account_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/external-account/{external_account_id}:
    delete:
      tags:
        - Transaction
      summary: Delete External Account
      description: >-
        Deletes an external account and all associated documents, transactions,
        journal entries, and line entries.


        If the external account is a business account, it will also delete the
        ledger.


        **Scopes:** `transaction:delete`
      operationId: >-
        delete_external_account_v0_business__business_id__external_account__external_account_id__delete
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: external_account_id
          in: path
          required: true
          schema:
            description: The id of the external account
            examples:
              - eac_9p2Fp7gra8aCVNvCSekUyK
            type: string
            format: eac_string
            title: External Account Id
          description: The id of the external account
      responses:
        '204':
          description: Successful Response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - transaction:delete
components:
  schemas:
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````